Subject: bug#13551: acknowledged by developer (control message for bug #13551)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 18:12:22 +0200

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > I don't think any security-related software should be guessing based on
>   > incomplete email addresses.  As far as I can tell, it requires a
>   > complete match, which I guess means you have a key for "martin" (without
>   > a domain name) in your key ring.
>
> That is totally unpredictable _for the user sending a reply_.
> There are various possible ok things to do, but not that.
>
> Please make this case do something predictable.

I'm not sure I understand.  I think it does do something completely
predictable -- choose the key ring entry that matches what's in your
"From" header.  No guessing involved.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no